Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.remoting
Class FamilyWrapper

    java.lang.Object
      org.jboss.aspects.remoting.FamilyWrapper

All Implemented Interfaces:
  Externalizable, Serializable

public class FamilyWrapper
extends Object
implements Externalizable

Version:
  $Revision: 1.2.2.6 $
Author:
  Bill Burke
See Also:
  Serialized Form

Constructor Summary
`FamilyWrapper()`
`FamilyWrapper(String proxyFamilyName, ArrayList targets)`

Method Summary
`org.jboss.ha.framework.interfaces.FamilyClusterInfo` | `get()`
`void` | `readExternal(ObjectInput in)` Un-externalize this instance.
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FamilyWrapper

    public FamilyWrapper()

### FamilyWrapper

    public FamilyWrapper(String proxyFamilyName,
                         ArrayList targets)

Method Detail

### get

    public org.jboss.ha.framework.interfaces.FamilyClusterInfo get()

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Un-externalize this instance. We check timestamps of the interfaces to see if the instance is in the original VM of creation

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.